## pdf2djvu 0.9.10

=== Makefile ===
# Copyright © 2007-2018 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = .
include $(srcdir)/autoconf.mk

exe = pdf2djvu$(EXEEXT)

.PHONY: all
all: $(exe)

ifneq "$(WINDRES)" ""
win32-version.o: win32-version.rc autoconf.hh
	$(WINDRES) -c 65001 -o $(@) $(<)
$(exe): win32-version.o
endif

include Makefile.dep

paths.hh: tools/generate-paths-hh
	$(<) $(foreach var,localedir djvulibre_bindir,$(var) $($(var)))

$(exe): config.o
$(exe): debug.o
$(exe): djvu-outline.o
$(exe): i18n.o
$(exe): image-filter.o
$(exe): pdf-backend.o
$(exe): pdf-document-map.o
$(exe): pdf-dpi.o
$(exe): pdf-unicode.o
$(exe): pdf2djvu.o
$(exe): sexpr.o
$(exe): string-format.o
$(exe): string-printf.o
$(exe): string-utils.o
$(exe): sys-command-posix.o
$(exe): sys-command-win32.o
$(exe): sys-encoding.o
$(exe): sys-time.o
$(exe): sys-uuid.o
$(exe): system.o
$(exe): version.o
$(exe): xmp.o
$(exe):
	$(LINK.cc) $(^) $(LDLIBS) -o $(@)

.PHONY: clean
clean:
	rm -f $(exe) *.o paths.hh
	$(MAKE) -C tests/ clean

.PHONY: distclean
distclean: clean
	rm -f autoconf.hh autoconf.mk config.status config.log

.PHONY: vcs-clean
vcs-clean:
	$(MAKE) -C tests/ vcs-clean
	$(MAKE) -C po clean
	$(MAKE) -C doc clean
	$(MAKE) -C doc/po clean
	rm -rf autoconf.hh autoconf.hh.in config.log config.status configure
	rm -rf autom4te.cache
	rm -rf aclocal.m4 m4
	rm -f tools/config.* tools/install-sh
	$(MAKE) distclean

.PHONY: test
test: $(exe)
	$(MAKE) -C tests/

man_pages = $(wildcard doc/*.1 doc/po/*.1)
mo_files = $(wildcard po/*.mo)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) $(exe) $(DESTDIR)$(bindir)
	INSTALL='$(INSTALL)' tools/install-manpages $(DESTDIR)$(mandir) $(man_pages)
	INSTALL='$(INSTALL)' tools/install-mo $(DESTDIR)$(localedir) $(mo_files)

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== tests/Makefile ===
# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ..
include $(srcdir)/autoconf.mk

export LC_ALL = C

export pdf2djvu = ../pdf2djvu$(EXEEXT)

test_scripts = $(wildcard test-*.py)
tests = $(test_scripts:.py=)

tex_files = $(wildcard test-*.tex)
pdf_files = $(addsuffix .pdf,$(basename $(tex_files)))

in_files = $(wildcard *.in)

generated_files = $(in_files:.in=) $(pdf_files)

.PHONY: all
ifeq "$(origin pdf2djvu)" "file"
all: $(pdf2djvu)
endif
all: $(generated_files)
	nosetests -v

.PHONY: prepare
prepare: $(generated_files)
	rm -f *.py[co]

.PHONY: clean
clean:
	rm -f *.djvu *.py[co]

.PHONY: vcs-clean
vcs-clean: clean
	rm -f $(generated_files)

%.pdf: %.tex
	luatex $(<)
	rm -f $(<:.tex=.log)

%.pdf: %.pdf.in
	./$(<)

%: %.in
	./$(<)

../pdf2djvu$(EXEEXT):
	$(MAKE) -C ../

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== win32/Makefile ===
# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

usr = $(CURDIR)
host = i686-w64-mingw32
docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl

ifeq "$(wildcard ../.git)" ""
version := $(shell IFS='()' read _ v _ < ../doc/changelog && echo $$v)
orig_src_tarball = pdf2djvu-$(version).tar.xz
else
orig_src_tarball := $(shell ../private/build-source-tarball --print-name)
version = $(word 2,$(subst .tar, ,$(subst -, ,$(orig_src_tarball))))
endif

djvulibre_tools = bzz c44 cjb2 csepdjvu djvuextract djvumake djvused djvmcvt

WGET = wget
untar = tar --strip-components=1 -xf
ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll

cmake_options = \
	-DCMAKE_SYSTEM_NAME=Windows \
	-DCMAKE_INSTALL_PREFIX=$(usr) \
	-DCMAKE_FIND_ROOT_PATH=$(usr) \
	-DCMAKE_FIND_ROOT_PATH_MODE_LIBRARY=ONLY \
	-DCMAKE_FIND_ROOT_PATH_MODE_INCLUDE=ONLY \

export CC = $(host)-gcc
export CXX = $(host)-g++
export AS = $(host)-as
export DLLTOOL = $(host)-dlltool
export OBJDUMP = $(host)-objdump
export STRIP = $(host)-strip

export PKG_CONFIG_PATH = $(usr)/lib/pkgconfig
export CPATH = $(usr)/include
export LDFLAGS = -L$(usr)/lib

export CFLAGS = -Os
export CXXFLAGS = -Os

export V = 1
export VERBOSE = 1

export WINEDEBUG ?= err+all,fixme-all
export WINE = wine
export WINESERVER = /usr/lib/wine/wineserver32

.PHONY: all
all:
	@echo Usage:
	@echo '  make source-dist'
	@echo '  make binary-dist'
	@echo
	@echo Note: This makefile downloads third-party libraries from the Internet.

.PHONY: clean

# Source tarballs

src_tarball_topdir = pdf2djvu-win32-source-$(version)
src_tarball_name = pdf2djvu-win32-source-$(version)
tar_opts = --owner root --group root --mode a+rX --format ustar --sort name
xz_opts = -8e

.PHONY: source-dist
source-dist:
	$(MAKE) $(shell grep '/source[-]stamp:' Makefile | cut -d: -f1)
	rm -rf $(src_tarball_topdir)
	mkdir $(src_tarball_topdir)
	cp -rl src/*/ $(src_tarball_topdir)/
	find $(src_tarball_topdir) -name source-stamp -delete
	find $(src_tarball_topdir) -type d -name .pc | xargs rm -rf
	tar $(tar_opts) -I 'xz -v $(xz_opts)' -cf $(src_tarball_name).tar.xz $(src_tarball_topdir)
	rm -rf $(src_tarball_topdir)

.PHONY: clean-source
clean: clean-source
clean-source:
	rm -rf src/
	rm -rf $(src_tarball_topdir)
	rm -f $(src_tarball_name).tar.xz

# Binary zipballs

zipball_topdir = pdf2djvu-$(version)
zipball_name = pdf2djvu-win32-$(version)
zip_opts = -9 -X -r

.PHONY: binary-dist
binary-dist: install
	mkdir -p $(zipball_topdir)
	! strings -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
	cp -rl dist/* $(zipball_topdir)
	chmod a-x $(zipball_topdir)/*.exe
	chmod -R a+rX $(zipball_topdir)
	zip $(zip_opts) $(zipball_name).zip $(zipball_topdir)
	rm -r $(zipball_topdir)

.PHONY: clean-binary
clean: clean-binary
clean-binary:
	rm -rf bin/ etc/ include/ lib/ share/
	rm -rf dist/
	rm -rf $(zipball_topdir)
	rm -f $(zipball_name).zip

.PHONY: install
install: src/pdf2djvu/install-stamp
install: src/libs-install-stamp
install: src/urw-fonts/install-stamp
install: src/poppler-data/install-stamp

# pdf2djvu

src/pdf2djvu/source-stamp: dcache/$(orig_src_tarball)
	mkdir -p $(dir $@)
	$(untar) $(<) -C $(dir $@)
	rm -f $(dir $@)/paths.hh
	touch $(@)

src/pdf2djvu/config.status: src/pdf2djvu/source-stamp
src/pdf2djvu/config.status: src/djvulibre/install-stamp
src/pdf2djvu/config.status: src/gettext/install-stamp
src/pdf2djvu/config.status: src/graphicsmagick/install-stamp
src/pdf2djvu/config.status: src/exiv2/install-stamp
src/pdf2djvu/config.status: src/mingwrt/install-stamp
src/pdf2djvu/config.status: src/poppler/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--bindir=$(usr)/dist/ \
		--localedir=$(usr)/dist/locale/ \
		--with-graphicsmagick \
		--enable-xmp \
		--disable-openmp

src/pdf2djvu/build-stamp: src/pdf2djvu/config.status
	$(MAKE) djvulibre_bindir=. localedir=./locale -C $(dir $@)
	touch $(@)

src/pdf2djvu/install-stamp: src/pdf2djvu/build-stamp
	mkdir -p dist/doc/
	$(MAKE) install -C $(dir $@)
	$(STRIP) dist/pdf2djvu.exe
	xsltproc --nonet $(docbook_xsl) src/pdf2djvu/doc/manpage.xml > dist/doc/manpage.html
	$(MAKE) -C $(dir $@)/doc/po/ xml
	cd src/pdf2djvu/doc/po/ && set -e && \
		for file in *.xml; do \
			locale="$${file%.*}"; \
			xsltproc --nonet $(docbook_xsl) $$file > $(usr)/dist/doc/manpage-$$locale.html; \
		done
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/COPYING > dist/doc/COPYING.txt
	cd src/pdf2djvu/doc \
		ls *.txt | sed -e '/build-/d; s/[.]txt$$//' \
		| xargs -I{file} -t rst2html {file}.txt $(usr)/dist/doc/{file}.html
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/changelog > dist/doc/changelog.txt
	touch $(@)

# Various libraries

src/libs-install-stamp: src/djvulibre/install-stamp
src/libs-install-stamp: src/fontconfig/install-stamp
src/libs-install-stamp: src/freetype/install-stamp
src/libs-install-stamp: src/gettext/install-stamp
src/libs-install-stamp: src/graphicsmagick/install-stamp
src/libs-install-stamp: src/libjpeg/install-stamp
src/libs-install-stamp: src/expat/install-stamp
src/libs-install-stamp: src/exiv2/install-stamp
src/libs-install-stamp: src/poppler/install-stamp
src/libs-install-stamp: src/winiconv/install-stamp
	mkdir -p dist/doc/
	rst2html doc/COPYING.libs.txt > dist/doc/COPYING.libs.html
	touch $(@)

# Poppler

src/poppler/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://poppler.freedesktop.org/poppler-0.62.0.tar.xz 5b9a73dfd4d6f61d165ada1e4f0abd2d420494bf9d0b1c15d0db3f7b83a729c6
	$(untar) dcache/poppler-0.62.0.tar.xz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
	rm -rf $(dir $@)/*.cache $(dir $@)/*~
	touch $(@)

src/poppler/Makefile: src/poppler/source-stamp
src/poppler/Makefile: src/fontconfig/install-stamp
src/poppler/Makefile: src/libjpeg/install-stamp
src/poppler/Makefile: src/openjpeg/install-stamp
	cd $(dir $@) && \
		cmake $(cmake_options) . \
		-DBUILD_CPP_TESTS=OFF \
		-DBUILD_GTK_TESTS=OFF \
		-DBUILD_QT5_TESTS=OFF \
		-DENABLE_CMS=none \
		-DENABLE_CPP=OFF \
		-DENABLE_GLIB=OFF \
		-DENABLE_GTK_DOC=OFF \
		-DENABLE_LIBCURL=OFF \
		-DENABLE_LIBOPENJPEG=openjpeg2 \
		-DENABLE_QT5=OFF \
		-DENABLE_SPLASH=ON \
		-DENABLE_UTILS=OFF \
		-DENABLE_XPDF_HEADERS=ON \
		-DFONT_CONFIGURATION=fontconfig \
		-DTESTDATADIR=/nonexistent \
		-DWITH_NSS3=OFF \
		-DWITH_PNG=OFF \
		-DWITH_TIFF=OFF
	find $(dir $@) -name build.make -print0 \
	| xargs -0 sed -i -e 's,\([ 	]\)\(/[^ 	]\+/\($(CC)\|$(CXX)\)\) ,\1$(CURDIR)/tools/enforce-relative-paths \2 ,'

src/poppler/build-stamp: src/poppler/Makefile
	$(MAKE) -C $(dir $@)
	touch $(@)

src/poppler/install-stamp: src/poppler/build-stamp
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libpoppler)
	touch $(@)

# poppler-data

src/poppler-data/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.8.tar.gz 1096a18161f263cccdc6d8a2eb5548c41ff8fcf9a3609243f1b6296abdf72872
	$(untar) dcache/poppler-data-0.4.8.tar.gz -C $(dir $@)
	touch $(@)

src/poppler-data/build-stamp: src/poppler-data/source-stamp
	$(MAKE) -C $(dir $@)
	touch $(@)

src/poppler-data/install-stamp: src/poppler-data/build-stamp
	$(MAKE) -C $(dir $@) install prefix=$(usr)
	mkdir -p dist/share/
	cp -a share/poppler dist/share/
	mkdir -p dist/doc/
	rst2html doc/COPYING.poppler-data.txt > dist/doc/COPYING.poppler-data.html
	touch $(@)

# DjVuLibre

src/djvulibre/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f
	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
	touch $(@)

src/djvulibre/config.status: src/djvulibre/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--without-jpeg \
		--disable-static

src/djvulibre/build-stamp: src/djvulibre/config.status
	$(MAKE) -C $(dir $@)/libdjvu
	$(MAKE) -C $(dir $@)/tools
	touch $(@)

src/djvulibre/install-stamp: src/djvulibre/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@)/libdjvu install
	$(MAKE) -C $(dir $@)/tools install
	set -e && \
	for tool in $(djvulibre_tools); do \
		cp bin/$$tool.exe bin/$$tool; \
		cp bin/$$tool.exe dist/; \
		$(STRIP) dist/$$tool.exe; \
	done
	$(call ship_dll,libdjvulibre)
	touch $(@)

# GraphicsMagick

src/graphicsmagick/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.27/GraphicsMagick-1.3.27.tar.xz d03278d2790efc1dc72309f85a539810d2a81deb47932f7e6720d09ac72d0367
	$(untar) dcache/GraphicsMagick-1.3.27.tar.xz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
	cd $(dir $@) && autoreconf -vfi
	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
	touch $(@)

src/graphicsmagick/config.status: src/graphicsmagick/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
			--disable-installed \
			--disable-openmp --without-threads \
			--enable-shared --disable-static \
			--with-quantum-depth=8 \
			--without-frozenpaths \
			--without-perl \
			--without-bzlib \
			--without-dps \
			--without-fpx \
			--without-gslib \
			--without-jbig \
			--without-webp \
			--without-jpeg \
			--without-jp2 \
			--without-lcms \
			--without-lcms2 \
			--without-lzma \
			--without-png \
			--without-tiff \
			--without-trio \
			--without-ttf \
			--without-umem \
			--without-wmf \
			--without-xml \
			--without-zlib \
			--without-x \
			--without-png

src/graphicsmagick/build-stamp: src/graphicsmagick/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/graphicsmagick/install-stamp: src/graphicsmagick/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libGraphicsMagick)
	rm dist/libGraphicsMagickWand*.dll
	touch $(@)

# Expat

src/expat/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_5/expat-2.2.5.tar.bz2 d9dc32efba7e74f788fcc4f212a43216fc37cf5f23f4c2339664d473353aedf6
	$(untar) dcache/expat-2.2.5.tar.bz2 -C $(dir $@)
	touch $(@)

src/expat/config.status: src/expat/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static

src/expat/build-stamp: src/expat/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/expat/install-stamp: src/expat/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libexpat)
	touch $(@)

# Exiv2

src/exiv2/source-stamp:
	mkdir -p $(dir $@)
	tools/wget http://www.exiv2.org/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
	$(untar) dcache/exiv2-0.25.tar.gz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
	touch $(@)

src/exiv2/config.status: src/exiv2/source-stamp
src/exiv2/config.status: src/expat/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--without-zlib \
		--disable-lensdata \
		--disable-nls

src/exiv2/build-stamp: src/exiv2/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/exiv2/install-stamp: src/exiv2/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libexiv2)
	touch $(@)

# FreeType

src/freetype/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://download.savannah.gnu.org/releases/freetype/freetype-2.9.tar.bz2 e6ffba3c8cef93f557d1f767d7bc3dee860ac7a3aaff588a521e081bc36f4c8a
	$(untar) dcache/freetype-2.9.tar.bz2 -C $(dir $@)

=== debian/changelog ===
pdf2djvu (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump djvulibre version among build- and runtime-deps.
  * deb/changelog:
    + remove trailing whitespace.

 -- Daniel Stender <stender@debian.org>  Fri, 03 Aug 2018 12:13:53 +0200

pdf2djvu (0.9.9-2) unstable; urgency=medium

  * deb/docs:
    + drop doc/cjk.txt (Closes: #903339).
    + update remaining file names.

 -- Daniel Stender <stender@debian.org>  Tue, 10 Jul 2018 08:53:05 +0200

pdf2djvu (0.9.9-1) unstable; urgency=medium

  * New upstream release.
  * use fontconfig to prevent test failure (Closes: #897251):
    + add fontconfig to build-deps in deb/control:
    + pull fontconfig also into DEP-8 environment by deb/tests/control.
  * deb/changelog:
    + expand copyright span of upstream code.
  * deb/rules:
    + drop unnecessary parallel argument from dh sequencer call.

 -- Daniel Stender <stender@debian.org>  Sat, 05 May 2018 12:28:50 +0200

=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 10),
 djvulibre-bin (>= 3.5.25~),
 dpkg-dev (>= 1.16.1),
 libdjvulibre-dev (>= 3.5.25~),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.24~),
 libexiv2-dev,
 uuid-dev,
 pkg-config,
 python-nose,
 python-pil,
 locales,
 fontconfig
Build-Conflicts:
 locales-all
Standards-Version: 4.1.3
Homepage: http://jwilk.net/software/pdf2djvu
Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git

Package: pdf2djvu
Architecture: any
Depends:
 djvulibre-bin (>= 3.5.25~),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 poppler-data
Breaks:
 libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	! [ -f config.status ] || dh_auto_clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	mkdir -p debian/tmp/locales
	localedef -f ISO-8859-1 -i en_US ./debian/tmp/locales/en_US.ISO8859-1/
	LOCPATH=$(CURDIR)/debian/tmp/locales $(MAKE) -j1 test
endif

## pdf2djvu 0.9.12

=== doc/Makefile ===
# Copyright © 2007-2018 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ..

.PHONY: all
all: pdf2djvu.1

pdf2djvu.1: manpage.xml
	$(srcdir)/tools/build-manpage $(<) $(@)

.PHONY: check
check: check-docbook

.PHONY: check-docbook
check-docbook: manpage.xml
	 xmllint --nonet --noout --valid $(<)

.PHONY: clean
clean:
	rm -f *.1

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== tests/Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 srcdir = ..
 include $(srcdir)/autoconf.mk
+
+PYTHON = python
 
 export LC_ALL = C
 
@@ -33,7 +35,7 @@
 all: $(pdf2djvu)
 endif
 all: $(generated_files)
-	nosetests -v
+	$(PYTHON) -c 'import nose; nose.main()' -v
 
 .PHONY: prepare
 prepare: $(generated_files)

=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2019 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -25,9 +25,9 @@
 
 djvulibre_tools = bzz c44 cjb2 csepdjvu djvuextract djvumake djvused djvmcvt
 
-WGET = wget
+download =
 untar = tar --strip-components=1 -xf
-ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
+ship_dll = install -m 644 bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll
 
 cmake_options = \
 	-DCMAKE_SYSTEM_NAME=Windows \
@@ -57,13 +57,15 @@
 export WINE = wine
 export WINESERVER = /usr/lib/wine/wineserver32
 
+ifneq "$(download)" ""
+export PDF2DJVU_DOWNLOAD = 1
+endif
+
 .PHONY: all
 all:
 	@echo Usage:
 	@echo '  make source-dist'
 	@echo '  make binary-dist'
-	@echo
-	@echo Note: This makefile downloads third-party libraries from the Internet.
 
 .PHONY: clean
 
@@ -71,7 +73,7 @@
 
 src_tarball_topdir = pdf2djvu-win32-source-$(version)
 src_tarball_name = pdf2djvu-win32-source-$(version)
-tar_opts = --owner root --group root --mode a+rX --format ustar --sort name
+tar_opts = --owner root --group root --mode u=rwX,go=rX --format ustar --sort name
 xz_opts = -8e
 
 .PHONY: source-dist
@@ -100,11 +102,13 @@
 
 .PHONY: binary-dist
 binary-dist: install
-	mkdir -p $(zipball_topdir)
+	rm -rf $(zipball_topdir)
+	mkdir $(zipball_topdir)
 	! strings -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
+	! strings -l e -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
 	cp -rl dist/* $(zipball_topdir)
 	chmod a-x $(zipball_topdir)/*.exe
-	chmod -R a+rX $(zipball_topdir)
+	chmod -R u=rwX,go=rX $(zipball_topdir)
 	zip $(zip_opts) $(zipball_name).zip $(zipball_topdir)
 	rm -r $(zipball_topdir)
 
@@ -124,7 +128,7 @@
 
 # pdf2djvu
 
-src/pdf2djvu/source-stamp: dcache/$(orig_src_tarball)
+src/pdf2djvu/source-stamp: src.tar/$(orig_src_tarball)
 	mkdir -p $(dir $@)
 	$(untar) $(<) -C $(dir $@)
 	rm -f $(dir $@)/paths.hh
@@ -150,7 +154,7 @@
 	touch $(@)
 
 src/pdf2djvu/install-stamp: src/pdf2djvu/build-stamp
-	mkdir -p dist/doc/
+	install -d dist/doc/
 	$(MAKE) install -C $(dir $@)
 	$(STRIP) dist/pdf2djvu.exe
 	xsltproc --nonet $(docbook_xsl) src/pdf2djvu/doc/manpage.xml > dist/doc/manpage.html
@@ -161,9 +165,9 @@
 			xsltproc --nonet $(docbook_xsl) $$file > $(usr)/dist/doc/manpage-$$locale.html; \
 		done
 	sed -e 's/$$/\r/' < src/pdf2djvu/doc/COPYING > dist/doc/COPYING.txt
-	cd src/pdf2djvu/doc \
-		ls *.txt | sed -e '/build-/d; s/[.]txt$$//' \
-		| xargs -I{file} -t rst2html {file}.txt $(usr)/dist/doc/{file}.html
+	cd src/pdf2djvu/doc && \
+		ls README credits djvudigital \
+		| xargs -I{file} -t rst2html {file} $(usr)/dist/doc/{file}.html
 	sed -e 's/$$/\r/' < src/pdf2djvu/doc/changelog > dist/doc/changelog.txt
 	touch $(@)
 
@@ -179,7 +183,7 @@
 src/libs-install-stamp: src/exiv2/install-stamp
 src/libs-install-stamp: src/poppler/install-stamp
 src/libs-install-stamp: src/winiconv/install-stamp
-	mkdir -p dist/doc/
+	install -d dist/doc/
 	rst2html doc/COPYING.libs.txt > dist/doc/COPYING.libs.html
 	touch $(@)
 
@@ -187,8 +191,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-0.62.0.tar.xz 5b9a73dfd4d6f61d165ada1e4f0abd2d420494bf9d0b1c15d0db3f7b83a729c6
-	$(untar) dcache/poppler-0.62.0.tar.xz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.72.0.tar.xz c1747eb8f26e9e753c4001ed951db2896edc1021b6d0f547a0bd2a27c30ada51
+	$(untar) src.tar/poppler-0.72.0.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	touch $(@)
@@ -220,7 +224,10 @@
 	find $(dir $@) -name build.make -print0 \
 	| xargs -0 sed -i -e 's,\([ 	]\)\(/[^ 	]\+/\($(CC)\|$(CXX)\)\) ,\1$(CURDIR)/tools/enforce-relative-paths \2 ,'
 
-src/poppler/build-stamp: src/poppler/Makefile
+include/dummy-mutex: misc/dummy-mutex.hh
+	install -m 644 $(<) $(@)
+
+src/poppler/build-stamp: src/poppler/Makefile include/dummy-mutex
 	$(MAKE) -C $(dir $@)
 	touch $(@)
 
@@ -233,8 +240,8 @@
 
 src/poppler-data/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.8.tar.gz 1096a18161f263cccdc6d8a2eb5548c41ff8fcf9a3609243f1b6296abdf72872
-	$(untar) dcache/poppler-data-0.4.8.tar.gz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.9.tar.gz 1f9c7e7de9ecd0db6ab287349e31bf815ca108a5a175cf906a90163bdbe32012
+	$(untar) src.tar/poppler-data-0.4.9.tar.gz -C $(dir $@)
 	touch $(@)
 
 src/poppler-data/build-stamp: src/poppler-data/source-stamp
@@ -243,9 +250,9 @@
 
 src/poppler-data/install-stamp: src/poppler-data/build-stamp
 	$(MAKE) -C $(dir $@) install prefix=$(usr)
-	mkdir -p dist/share/
+	install -d dist/share/
 	cp -a share/poppler dist/share/
-	mkdir -p dist/doc/
+	install -d dist/doc/
 	rst2html doc/COPYING.poppler-data.txt > dist/doc/COPYING.poppler-data.html
 	touch $(@)
 
@@ -254,7 +261,7 @@
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
 	tools/wget https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f
-	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
+	$(untar) src.tar/djvulibre-*.tar.gz -C $(dir $@)
 	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
 	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
 	touch $(@)
@@ -271,13 +278,13 @@
 	touch $(@)
 
 src/djvulibre/install-stamp: src/djvulibre/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@)/libdjvu install
 	$(MAKE) -C $(dir $@)/tools install
 	set -e && \
 	for tool in $(djvulibre_tools); do \
-		cp bin/$$tool.exe bin/$$tool; \
-		cp bin/$$tool.exe dist/; \
+		install bin/$$tool.exe bin/$$tool; \
+		install bin/$$tool.exe dist/; \
 		$(STRIP) dist/$$tool.exe; \
 	done
 	$(call ship_dll,libdjvulibre)
@@ -287,8 +294,8 @@
 
 src/graphicsmagick/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.27/GraphicsMagick-1.3.27.tar.xz d03278d2790efc1dc72309f85a539810d2a81deb47932f7e6720d09ac72d0367
-	$(untar) dcache/GraphicsMagick-1.3.27.tar.xz -C $(dir $@)
+	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.31/GraphicsMagick-1.3.31.tar.xz 096bbb59d6f3abd32b562fc3b34ea90d88741dc5dd888731d61d17e100394278
+	$(untar) src.tar/GraphicsMagick-1.3.31.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
@@ -306,12 +313,10 @@
 			--without-bzlib \
 			--without-dps \
 			--without-fpx \
-			--without-gslib \
 			--without-jbig \
 			--without-webp \
 			--without-jpeg \
 			--without-jp2 \
-			--without-lcms \
 			--without-lcms2 \
 			--without-lzma \
 			--without-png \
@@ -330,23 +335,26 @@
 	touch $(@)
 
 src/graphicsmagick/install-stamp: src/graphicsmagick/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libGraphicsMagick)
 	rm dist/libGraphicsMagickWand*.dll
+	install -d dist/share/GraphicsMagick
+	install -m 644 share/GraphicsMagick-1.3.31/config/*.mgk dist/share/GraphicsMagick
 	touch $(@)
 
 # Expat
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_5/expat-2.2.5.tar.bz2 d9dc32efba7e74f788fcc4f212a43216fc37cf5f23f4c2339664d473353aedf6
-	$(untar) dcache/expat-2.2.5.tar.bz2 -C $(dir $@)
+	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_6/expat-2.2.6.tar.bz2 17b43c2716d521369f82fc2dc70f359860e90fa440bea65b3b85f0b246ea81f2
+	$(untar) src.tar/expat-2.2.6.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
 	cd $(dir $@) && \
 		./configure --host=$(host) --prefix=$(usr) \
+		--without-docbook \
 		--disable-static
 
 src/expat/build-stamp: src/expat/config.status
@@ -354,7 +362,7 @@
 	touch $(@)
 
 src/expat/install-stamp: src/expat/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libexpat)
 	touch $(@)
@@ -363,8 +371,8 @@
 
 src/exiv2/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget http://www.exiv2.org/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
-	$(untar) dcache/exiv2-0.25.tar.gz -C $(dir $@)
+	tools/wget http://www.exiv2.org/releases/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
+	$(untar) src.tar/exiv2-0.25.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
 	touch $(@)
 
@@ -382,14 +390,8 @@
 	touch $(@)
 
 src/exiv2/install-stamp: src/exiv2/build-stamp
-	mkdir -p dist/
+	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libexiv2)
 	touch $(@)
 
-# FreeType
-
-src/freetype/source-stamp:
-	mkdir -p $(dir $@)
-	tools/wget https://download.savannah.gnu.org/releases/freetype/freetype-2.9.tar.bz2 e6ffba3c8cef93f557d1f767d7bc3dee860ac7a3aaff588a521e081bc36f4c8a
-	$(untar) dcache/freetype-2.9.tar.bz2 -C $(dir $@)

=== debian/changelog ===
pdf2djvu (0.9.12-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards to 4.3.0 (no changes needed).
  * deb/copyright:
    + expand copyright spans to 2019.

 -- Daniel Stender <stender@debian.org>  Thu, 03 Jan 2019 11:56:53 +0100

pdf2djvu (0.9.11-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + drop dpkg-dev from b-deps (versioned dep not needed anymore).
    + drop fontconfig from b-deps (no workaround anymore for #897251).
    + bump standards to 4.2.1 (no further changes needed).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + add comment on test failures if builduser is member of "staff".
  * deb/tests: Use AUTOPKGTEST_TMP instead of ADTTMP [Ondřej Nový].
  * build with dh level 11 (changes in deb/compat and deb/control).

 -- Daniel Stender <stender@debian.org>  Wed, 31 Oct 2018 16:53:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  djvulibre-bin (>= 3.5.25~),
- dpkg-dev (>= 1.16.1),
  libdjvulibre-dev (>= 3.5.25~),
  libgraphicsmagick++1-dev,
  libpoppler-private-dev (>= 0.24~),
@@ -14,11 +13,10 @@
  pkg-config,
  python-nose,
  python-pil,
- locales,
- fontconfig
+ locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	! [ -f config.status ] || dh_auto_clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	mkdir -p debian/tmp/locales
	localedef -f ISO-8859-1 -i en_US ./debian/tmp/locales/en_US.ISO8859-1/
	# if build user is member of staff there are several tests failures due to a flaw in fontconfig, see #897251, #909728
	LOCPATH=$(CURDIR)/debian/tmp/locales $(MAKE) -j1 test
endif

=== debian/tests/control ===
Tests: pdf2djvu
Depends: pdf2djvu, python-nose, python-pil, locales, fontconfig

## pdf2djvu 0.9.13

=== debian/changelog ===
pdf2djvu (0.9.13-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards to 4.4.0 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Thu, 12 Sep 2019 12:11:27 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git

## pdf2djvu 0.9.15

=== debian/changelog ===
pdf2djvu (0.9.15-1) unstable; urgency=medium

  * New maintainer (Closes: #945185).
  * New upstream release.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Tue, 31 Dec 2019 08:02:26 +0000

pdf2djvu (0.9.13-3) unstable; urgency=medium

  * QA upload.
  * Dont run tests, they are python2-based; Closes: #943158

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 19:32:18 -0500

pdf2djvu (0.9.13-2) unstable; urgency=medium

  * Orphaning package.

 -- Daniel Stender <stender@debian.org>  Wed, 20 Nov 2019 23:55:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
 Build-Depends:
  debhelper (>= 11),
  djvulibre-bin (>= 3.5.25~),
@@ -11,8 +11,8 @@
  libexiv2-dev,
  uuid-dev,
  pkg-config,
- python-nose,
- python-pil,
+# python-nose,
+# python-pil,
  locales
 Build-Conflicts:
  locales-all

## pdf2djvu 0.9.17

=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2019 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2020 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -191,8 +191,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-0.72.0.tar.xz c1747eb8f26e9e753c4001ed951db2896edc1021b6d0f547a0bd2a27c30ada51
-	$(untar) src.tar/poppler-0.72.0.tar.xz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.86.1.tar.xz af630a277c8e194c31339c5446241834aed6ed3d4b4dc7080311e51c66257f6c
+	$(untar) src.tar/poppler-0.86.1.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	touch $(@)
@@ -215,7 +215,7 @@
 		-DENABLE_QT5=OFF \
 		-DENABLE_SPLASH=ON \
 		-DENABLE_UTILS=OFF \
-		-DENABLE_XPDF_HEADERS=ON \
+		-DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
 		-DFONT_CONFIGURATION=fontconfig \
 		-DTESTDATADIR=/nonexistent \
 		-DWITH_NSS3=OFF \
@@ -347,8 +347,8 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_6/expat-2.2.6.tar.bz2 17b43c2716d521369f82fc2dc70f359860e90fa440bea65b3b85f0b246ea81f2
-	$(untar) src.tar/expat-2.2.6.tar.bz2 -C $(dir $@)
+	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_9/expat-2.2.9.tar.bz2 f1063084dc4302a427dabcca499c8312b3a32a29b7d2506653ecc8f950a9a237
+	$(untar) src.tar/expat-2.2.9.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
@@ -371,7 +371,7 @@
 
 src/exiv2/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget http://www.exiv2.org/releases/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
+	tools/wget https://www.exiv2.org/releases/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
 	$(untar) src.tar/exiv2-0.25.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
 	touch $(@)
@@ -393,5 +393,3 @@
 	install -d dist/
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libexiv2)
-	touch $(@)
-

=== debian/changelog ===
pdf2djvu (0.9.17-1build1) focal; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 18:03:38 +0100

pdf2djvu (0.9.17-1) unstable; urgency=medium

  * New upstream release.
    + drop support for Poppler < 0.35.
  * deb/control:
    + update Poppler build-depends accordingly.
    + upgrade compat 12.
    + bump standards to 4.5.0.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Wed, 04 Mar 2020 03:14:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  djvulibre-bin (>= 3.5.25~),
  libdjvulibre-dev (>= 3.5.25~),
  libgraphicsmagick++1-dev,
- libpoppler-private-dev (>= 0.24~),
+ libpoppler-private-dev (>= 0.35~),
  libexiv2-dev,
  uuid-dev,
  pkg-config,
@@ -16,7 +16,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	! [ -f config.status ] || dh_auto_clean

override_dh_auto_test:
	echo "skip test, python2-based"
#ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
#	mkdir -p debian/tmp/locales
#	localedef -f ISO-8859-1 -i en_US ./debian/tmp/locales/en_US.ISO8859-1/
#	# if build user is member of staff there are several tests failures due to a flaw in fontconfig, see #897251, #909728
#	LOCPATH=$(CURDIR)/debian/tmp/locales $(MAKE) -j1 test
#endif

## pdf2djvu 0.9.17.1

=== Makefile ===
--- 
+++ 
@@ -80,6 +80,10 @@
 test: $(exe)
 	$(MAKE) -C tests/
 
+.PHONY: test-installed
+test-installed: $(or $(shell command -v pdf2djvu;),$(bindir)/pdf2djvu)
+	$(MAKE) -C tests/ pdf2djvu=$(exe)
+
 man_pages = $(wildcard doc/*.1 doc/po/*.1)
 mo_files = $(wildcard po/*.mo)

=== debian/changelog ===
pdf2djvu (0.9.17.1-1) unstable; urgency=medium

  * New upstream release.
    + Fix build failure with Poppler ≥ 20.08 (Closes: #969888).
  * deb/control: add Rules-Requires-Root: no.
  * deb/rules: remove --as-needed linker flag to fix lintian.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Sat, 12 Sep 2020 11:45:15 +0800

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Build-Conflicts:
  locales-all
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
 Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git
